libstdc++: std::char_traits< __gnu_cxx::character< _Value, _Int, _St > > Struct Template Reference

libstdc++

std::char_traits< __gnu_cxx::character< _Value, _Int, _St > > Struct Template Reference

`#include <pod_char_traits.h>`

Inheritance diagram for std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >:
[legend]

## Public Types
typedef __gnu_cxx::character< _Value, _Int, _St > | char_type
typedef __gnu_cxx::character< _Value, _Int, _St > | char_type
using | comparison_category
using | comparison_category
typedef _Char_types< __gnu_cxx::character< _Value, _Int, _St > >::int_type | int_type
typedef char_type::int_type | int_type
typedef _Char_types< __gnu_cxx::character< _Value, _Int, _St > >::off_type | off_type
typedef streamoff | off_type
typedef _Char_types< __gnu_cxx::character< _Value, _Int, _St > >::pos_type | pos_type
typedef fpos< state_type > | pos_type
typedef _Char_types< __gnu_cxx::character< _Value, _Int, _St > >::state_type | state_type
typedef char_type::state_type | state_type

## Static Public Member Functions
static constexpr void | assign (char_type &__c1, const char_type &__c2)
static constexpr char_type * | assign (char_type *__s, std::size_t __n, char_type __a)
static constexpr void | assign (char_type &__c1, const char_type &__c2)
static void | assign (char_type &__c1, const char_type &__c2)
static char_type * | assign (char_type *__s, size_t __n, char_type __a)
static constexpr char_type * | assign (char_type *__s, std::size_t __n, char_type __a)
static constexpr int | compare (const char_type *__s1, const char_type *__s2, std::size_t __n)
static int | compare (const char_type *__s1, const char_type *__s2, size_t __n)
static constexpr int | compare (const char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr char_type * | copy (char_type *__s1, const char_type *__s2, std::size_t __n)
static char_type * | copy (char_type *__s1, const char_type *__s2, size_t __n)
static constexpr char_type * | copy (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int_type | eof ()
static int_type | eof ()
static constexpr bool | eq (const char_type &__c1, const char_type &__c2)
static constexpr bool | eq (const char_type &__c1, const char_type &__c2)
static bool | eq (const char_type &__c1, const char_type &__c2)
static constexpr bool | eq_int_type (const int_type &__c1, const int_type &__c2)
static constexpr bool | eq_int_type (const int_type &__c1, const int_type &__c2)
static bool | eq_int_type (const int_type &__c1, const int_type &__c2)
static constexpr const char_type * | find (const char_type *__s, std::size_t __n, const char_type &__a)
static const char_type * | find (const char_type *__s, size_t __n, const char_type &__a)
static constexpr const char_type * | find (const char_type *__s, std::size_t __n, const char_type &__a)
static constexpr std::size_t | length (const char_type *__s)
static constexpr std::size_t | length (const char_type *__s)
static size_t | length (const char_type *__s)
static constexpr bool | lt (const char_type &__c1, const char_type &__c2)
static constexpr bool | lt (const char_type &__c1, const char_type &__c2)
static bool | lt (const char_type &__c1, const char_type &__c2)
static constexpr char_type * | move (char_type *__s1, const char_type *__s2, std::size_t __n)
static char_type * | move (char_type *__s1, const char_type *__s2, size_t __n)
static constexpr char_type * | move (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int_type | not_eof (const int_type &__c)
static constexpr int_type | not_eof (const int_type &__c)
static int_type | not_eof (const int_type &__c)
static constexpr char_type | to_char_type (const int_type &__c)
static constexpr char_type | to_char_type (const int_type &__c)
static char_type | to_char_type (const int_type &__i)
static constexpr int_type | to_int_type (const char_type &__c)
static constexpr int_type | to_int_type (const char_type &__c)
static int_type | to_int_type (const char_type &__c)

## Detailed Description

template<typename _Value, typename _Int, typename _St>
struct std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >

char_traits<__gnu_cxx::character> specialization.

Definition at line 101 of file pod_char_traits.h.

## Member Typedef Documentation

## ◆ char_type [1/2]

typedef __gnu_cxx::character< _Value, _Int, _St > __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::char_type

Definition at line 115 of file char_traits.h.

## ◆ char_type [2/2]

template<typename _Value, typename _Int, typename _St>

typedef __gnu_cxx::character<_Value, _Int, _St> std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::char_type

Definition at line 103 of file pod_char_traits.h.

## ◆ comparison_category [1/2]

template<typename _CharT>

using __gnu_cxx::char_traits< _CharT >::comparison_category
| inherited

Definition at line 123 of file char_traits.h.

## ◆ comparison_category [2/2]

using __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::comparison_category

Definition at line 123 of file char_traits.h.

## ◆ int_type [1/2]

typedef _Char_types<__gnu_cxx::character< _Value, _Int, _St >>::int_type __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::int_type

Definition at line 116 of file char_traits.h.

## ◆ int_type [2/2]

template<typename _Value, typename _Int, typename _St>

typedef char_type::int_type std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::int_type

Definition at line 104 of file pod_char_traits.h.

## ◆ off_type [1/2]

typedef _Char_types<__gnu_cxx::character< _Value, _Int, _St >>::off_type __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::off_type

Definition at line 119 of file char_traits.h.

## ◆ off_type [2/2]

template<typename _Value, typename _Int, typename _St>

typedef streamoff std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::off_type

Definition at line 107 of file pod_char_traits.h.

## ◆ pos_type [1/2]

typedef _Char_types<__gnu_cxx::character< _Value, _Int, _St >>::pos_type __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::pos_type

Definition at line 118 of file char_traits.h.

## ◆ pos_type [2/2]

template<typename _Value, typename _Int, typename _St>

typedef fpos<state_type> std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::pos_type

Definition at line 106 of file pod_char_traits.h.

## ◆ state_type [1/2]

typedef _Char_types<__gnu_cxx::character< _Value, _Int, _St >>::state_type __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::state_type

Definition at line 120 of file char_traits.h.

## ◆ state_type [2/2]

template<typename _Value, typename _Int, typename _St>

typedef char_type::state_type std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::state_type

Definition at line 105 of file pod_char_traits.h.

## Member Function Documentation

## ◆ assign() [1/6]

template<typename _CharT>

constexpr void __gnu_cxx::char_traits< _CharT >::assign | ( | char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexprinherited

Definition at line 127 of file char_traits.h.

## ◆ assign() [2/6]

template<typename _CharT>

char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::assign | ( | char_type * | __s,
|  | std::size_t | __n,
|  | char_type | __a )
| staticconstexprinherited

Definition at line 275 of file char_traits.h.

## ◆ assign() [3/6]

constexpr void __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::assign | ( | char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexpr

Definition at line 127 of file char_traits.h.

## ◆ assign() [4/6]

template<typename _Value, typename _Int, typename _St>

void std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::assign | ( | char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestatic

Definition at line 110 of file pod_char_traits.h.

## ◆ assign() [5/6]

template<typename _Value, typename _Int, typename _St>

char_type * std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::assign | ( | char_type * | __s,
|  | size_t | __n,
|  | char_type | __a )
| inlinestatic

Definition at line 167 of file pod_char_traits.h.

## ◆ assign() [6/6]

char_traits< __gnu_cxx::character< _Value, _Int, _St > >::char_type * __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::assign | ( | char_type * | __s,
|  | std::size_t | __n,
|  | char_type | __a )
| staticconstexpr

Definition at line 161 of file char_traits.h.

## ◆ compare() [1/3]

template<typename _CharT>

int __gnu_cxx::char_traits< _CharT >::compare | ( | const char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexprinherited

Definition at line 188 of file char_traits.h.

## ◆ compare() [2/3]

template<typename _Value, typename _Int, typename _St>

int std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::compare | ( | const char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n )
| inlinestatic

Definition at line 122 of file pod_char_traits.h.

## ◆ compare() [3/3]

int __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::compare | ( | const char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexpr

Definition at line 146 of file char_traits.h.

## ◆ copy() [1/3]

template<typename _CharT>

char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::copy | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexprinherited

Definition at line 255 of file char_traits.h.

## ◆ copy() [2/3]

template<typename _Value, typename _Int, typename _St>

char_type * std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::copy | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n )
| inlinestatic

Definition at line 158 of file pod_char_traits.h.

## ◆ copy() [3/3]

char_traits< __gnu_cxx::character< _Value, _Int, _St > >::char_type * __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::copy | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexpr

Definition at line 158 of file char_traits.h.

## ◆ eof() [1/2]

constexpr int_type __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::eof | ( |  | ) |
| inlinestaticconstexpr

Definition at line 177 of file char_traits.h.

## ◆ eof() [2/2]

template<typename _Value, typename _Int, typename _St>

int_type std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::eof | ( |  | ) |
| inlinestatic

Definition at line 186 of file pod_char_traits.h.

## ◆ eq() [1/3]

template<typename _CharT>

constexpr bool __gnu_cxx::char_traits< _CharT >::eq | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexprinherited

Definition at line 138 of file char_traits.h.

## ◆ eq() [2/3]

constexpr bool __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::eq | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexpr

Definition at line 138 of file char_traits.h.

## ◆ eq() [3/3]

template<typename _Value, typename _Int, typename _St>

bool std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::eq | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestatic

Definition at line 114 of file pod_char_traits.h.

## ◆ eq_int_type() [1/3]

template<typename _CharT>

constexpr bool __gnu_cxx::char_traits< _CharT >::eq_int_type | ( | const int_type & | __c1,
|  | const int_type & | __c2 )
| inlinestaticconstexprinherited

Definition at line 172 of file char_traits.h.

## ◆ eq_int_type() [2/3]

constexpr bool __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::eq_int_type | ( | const int_type & | __c1,
|  | const int_type & | __c2 )
| inlinestaticconstexpr

Definition at line 172 of file char_traits.h.

## ◆ eq_int_type() [3/3]

template<typename _Value, typename _Int, typename _St>

bool std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::eq_int_type | ( | const int_type & | __c1,
|  | const int_type & | __c2 )
| inlinestatic

Definition at line 182 of file pod_char_traits.h.

## ◆ find() [1/3]

template<typename _CharT>

const char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::find | ( | const char_type * | __s,
|  | std::size_t | __n,
|  | const char_type & | __a )
| staticconstexprinherited

Definition at line 212 of file char_traits.h.

## ◆ find() [2/3]

template<typename _Value, typename _Int, typename _St>

const char_type * std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::find | ( | const char_type * | __s,
|  | size_t | __n,
|  | const char_type & | __a )
| inlinestatic

Definition at line 140 of file pod_char_traits.h.

## ◆ find() [3/3]

const char_traits< __gnu_cxx::character< _Value, _Int, _St > >::char_type * __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::find | ( | const char_type * | __s,
|  | std::size_t | __n,
|  | const char_type & | __a )
| staticconstexpr

Definition at line 152 of file char_traits.h.

## ◆ length() [1/3]

template<typename _CharT>

std::size_t __gnu_cxx::char_traits< _CharT >::length | ( | const char_type * | __s | ) |
| staticconstexprinherited

Definition at line 201 of file char_traits.h.

## ◆ length() [2/3]

std::size_t __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::length | ( | const char_type * | __s | ) |
| staticconstexpr

Definition at line 149 of file char_traits.h.

## ◆ length() [3/3]

template<typename _Value, typename _Int, typename _St>

size_t std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::length | ( | const char_type * | __s | ) |
| inlinestatic

Definition at line 131 of file pod_char_traits.h.

## ◆ lt() [1/3]

template<typename _CharT>

constexpr bool __gnu_cxx::char_traits< _CharT >::lt | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexprinherited

Definition at line 142 of file char_traits.h.

## ◆ lt() [2/3]

constexpr bool __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::lt | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestaticconstexpr

Definition at line 142 of file char_traits.h.

## ◆ lt() [3/3]

template<typename _Value, typename _Int, typename _St>

bool std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::lt | ( | const char_type & | __c1,
|  | const char_type & | __c2 )
| inlinestatic

Definition at line 118 of file pod_char_traits.h.

## ◆ move() [1/3]

template<typename _CharT>

char_traits< _CharT >::char_type * __gnu_cxx::char_traits< _CharT >::move | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexprinherited

Definition at line 224 of file char_traits.h.

## ◆ move() [2/3]

template<typename _Value, typename _Int, typename _St>

char_type * std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::move | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n )
| inlinestatic

Definition at line 149 of file pod_char_traits.h.

## ◆ move() [3/3]

char_traits< __gnu_cxx::character< _Value, _Int, _St > >::char_type * __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::move | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | std::size_t | __n )
| staticconstexpr

Definition at line 155 of file char_traits.h.

## ◆ not_eof() [1/3]

template<typename _CharT>

constexpr int_type __gnu_cxx::char_traits< _CharT >::not_eof | ( | const int_type & | __c | ) |
| inlinestaticconstexprinherited

Definition at line 181 of file char_traits.h.

## ◆ not_eof() [2/3]

constexpr int_type __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::not_eof | ( | const int_type & | __c | ) |
| inlinestaticconstexpr

Definition at line 181 of file char_traits.h.

## ◆ not_eof() [3/3]

template<typename _Value, typename _Int, typename _St>

int_type std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::not_eof | ( | const int_type & | __c | ) |
| inlinestatic

Definition at line 195 of file pod_char_traits.h.

## ◆ to_char_type() [1/3]

template<typename _CharT>

constexpr char_type __gnu_cxx::char_traits< _CharT >::to_char_type | ( | const int_type & | __c | ) |
| inlinestaticconstexprinherited

Definition at line 164 of file char_traits.h.

## ◆ to_char_type() [2/3]

constexpr char_type __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::to_char_type | ( | const int_type & | __c | ) |
| inlinestaticconstexpr

Definition at line 164 of file char_traits.h.

## ◆ to_char_type() [3/3]

template<typename _Value, typename _Int, typename _St>

char_type std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::to_char_type | ( | const int_type & | __i | ) |
| inlinestatic

Definition at line 174 of file pod_char_traits.h.

## ◆ to_int_type() [1/3]

template<typename _CharT>

constexpr int_type __gnu_cxx::char_traits< _CharT >::to_int_type | ( | const char_type & | __c | ) |
| inlinestaticconstexprinherited

Definition at line 168 of file char_traits.h.

## ◆ to_int_type() [2/3]

constexpr int_type __gnu_cxx::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::to_int_type | ( | const char_type & | __c | ) |
| inlinestaticconstexpr

Definition at line 168 of file char_traits.h.

## ◆ to_int_type() [3/3]

template<typename _Value, typename _Int, typename _St>

int_type std::char_traits< __gnu_cxx::character< _Value, _Int, _St > >::to_int_type | ( | const char_type & | __c | ) |
| inlinestatic

Definition at line 178 of file pod_char_traits.h.

The documentation for this struct was generated from the following file:

- pod_char_traits.h